Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[revdep-rebuild] no ebuilds to satisfy... (résolu)
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
legabier
Apprentice
Apprentice


Joined: 30 Aug 2004
Posts: 231

PostPosted: Mon Sep 25, 2006 6:19 am    Post subject: [revdep-rebuild] no ebuilds to satisfy... (résolu) Reply with quote

Je viens de faire une mise à jour complète (emerge world), ça faisait un bon mois que je l'avais pas fait.
J'ai ensuite fait toutes les mises à jour des fihciers de config (etc-update) et ensuite lu les notices (enotice) et j'avais entre autre ceci:
* You must re-compile all packages that are linked against
* OpenSSL 0.9.7 by using revdep-rebuild from gentoolkit:
* # revdep-rebuild --library libssl.so.0.9.7
* # revdep-rebuild --library libcrypto.so.0.9.7
* After this, you can delete /usr/lib/libssl.so.0.9.7
* and /usr/lib/libcrypto.so.0.9.7
* Due to the way openssl is architected, you cannot
* switch between optimized versions without breaking
* ABI. The default i686 0.9.8 ABI was an unoptimized
* version with horrible performance. This version uses
* the optimized ABI. If you experience segfaults when
* using ssl apps (like openssh), just re-emerge the
* offending package.

Alors j'ai tapé revdep-rebuild --library libssl.so.0.9.7 mais ça ne fonctionne pas:
Code:
# ACCEPT_KEYWORDS="~x86" revdep-rebuild --library libssl.so.0.9.7
Configuring search environment for revdep-rebuild

Checking reverse dependencies...

Packages containing binaries and libraries using libssl.so.0.9.7
will be emerged.

Collecting system binaries and libraries... done.
  (/root/.revdep-rebuild.1_files)

Checking dynamic linking...
  found /usr/bin/boinc_client
  found /usr/bin/boinc_cmd
  found /usr/bin/crypt_prog
  found /usr/bin/curl
  found /usr/bin/elinks
  found /usr/bin/irssi
  found /usr/bin/ldapcompare
  found /usr/bin/ldapdelete
  found /usr/bin/ldapmodify
  found /usr/bin/ldapmodrdn
  found /usr/bin/ldappasswd
  found /usr/bin/ldapsearch
  found /usr/bin/ldapwhoami
  found /usr/bin/lynx
  found /usr/bin/mysql
  found /usr/bin/mysqladmin
  found /usr/bin/mysqlbinlog
  found /usr/bin/mysqlcheck
  found /usr/bin/mysql_client_test
  found /usr/bin/mysqldump
  found /usr/bin/mysqlimport
  found /usr/bin/mysqlmanager
  found /usr/bin/mysqlmanagerc
  found /usr/bin/mysqlmanager-pwgen
  found /usr/bin/mysqlshow
  found /usr/bin/mysqltest
  found /usr/bin/tor
  found /usr/bin/tor-resolve
  found /usr/bin/w3c
  found /usr/bin/webbot
  found /usr/bin/wget
  found /usr/bin/www
  found /usr/lib/apache2/modules/libphp4.so
  found /usr/lib/libcurl.so.3.0.0
  found /usr/lib/libldap-2.3.so.0.2.12
  found /usr/lib/libldap_r-2.3.so.0.2.12
  found /usr/lib/libmd5.so.0.1.0
  found /usr/lib/libpics.so.0.0.0
  found /usr/lib/libwwwapp.so.0.1.0
  found /usr/lib/libwwwcache.so.0.1.0
  found /usr/lib/libwwwcore.so.0.1.0
  found /usr/lib/libwwwdir.so.0.1.0
  found /usr/lib/libwwwfile.so.0.1.0
  found /usr/lib/libwwwftp.so.0.1.0
  found /usr/lib/libwwwgopher.so.0.1.0
  found /usr/lib/libwwwhtml.so.0.1.0
  found /usr/lib/libwwwhttp.so.0.1.0
  found /usr/lib/libwwwinit.so.0.1.0
  found /usr/lib/libwwwmime.so.0.1.0
  found /usr/lib/libwwwmux.so.0.1.0
  found /usr/lib/libwwwnews.so.0.1.0
  found /usr/lib/libwwwsql.so.0.1.0
  found /usr/lib/libwwwssl.so.0.1.0
  found /usr/lib/libwwwstream.so.0.1.0
  found /usr/lib/libwwwtelnet.so.0.1.0
  found /usr/lib/libwwwtrans.so.0.1.0
  found /usr/lib/libwwwutils.so.0.1.0
  found /usr/lib/libwwwxml.so.0.1.0
  found /usr/lib/libwwwzip.so.0.1.0
  found /usr/lib/libxmlparse.so.0.1.0
  found /usr/lib/libxmltok.so.0.1.0
  found /usr/lib/mysql/libmysqlclient_r.so.14.0.0
  found /usr/lib/mysql/libmysqlclient.so.14.0.0
  found /usr/lib/openldap/slapd
  found /usr/lib/openldap/slurpd
  found /usr/lib/perl5/vendor_perl/5.8.8/i686-linux/auto/DBD/mysql/mysql.so
  found /usr/lib/perl5/vendor_perl/5.8.8/i686-linux/auto/Net/SSLeay/SSLeay.so
  found /usr/lib/php4/bin/php
  found /usr/lib/python2.4/lib-dynload/_ssl.so
  found /usr/lib/python2.4/site-packages/OpenSSL/crypto.so
  found /usr/lib/python2.4/site-packages/OpenSSL/rand.so
  found /usr/lib/python2.4/site-packages/OpenSSL/SSL.so
  found /usr/sbin/ab2
  found /usr/sbin/ab2-ssl
  found /usr/sbin/apache2
  found /usr/sbin/checkgid2
  found /usr/sbin/htdbm
  found /usr/sbin/htdigest2
  found /usr/sbin/htpasswd2
  found /usr/sbin/httxt2dbm
  found /usr/sbin/logresolve2
  found /usr/sbin/mysqld
  found /usr/sbin/openvpn
  found /usr/sbin/rotatelogs2
 done.
  (/root/.revdep-rebuild_eef3b244.3_rebuild)

Assigning files to ebuilds... done.
  (/root/.revdep-rebuild_eef3b244.4_ebuilds)

Evaluating package order...
Warning: Failed to resolve package order.
Will merge in "random" order!
Possible reasons:
- An ebuild is no longer in the portage tree.
- An ebuild is masked, use /etc/portage/packages.keyword
  and/or /etc/portage/package.unmask to unmask it
..... done.
  (/root/.revdep-rebuild_eef3b244.5_order)

All prepared. Starting rebuild...
emerge --oneshot  =dev-db/mysql-4.1.21 =dev-lang/php-4.4.2 =dev-lang/python-2.4.3-r1 =dev-perl/DBD-mysql-2.9007 =dev-perl/Net-SSLeay-1.25 =dev-python/pyopenssl-0.6 =net-irc/irssi-0.8.10-r3 =net-libs/libwww-5.4.0-r4 =net-misc/curl-7.15.1-r1 =net-misc/openvpn-2.0.6 =net-misc/tor-0.1.1.23 =net-misc/wget-1.10.2 =net-nds/openldap-2.3.24-r1 =net-www/apache-2.0.58-r2 =sci-misc/boinc-5.2.14 =www-client/elinks-0.10.6 =www-client/lynx-2.8.5-r3
..........
Calculating dependencies -
emerge: there are no ebuilds to satisfy "=dev-lang/php-4.4.2".


revdep-rebuild failed to emerge all packages
you have the following choices:

- if emerge failed during the build, fix the problems and re-run revdep-rebuild
    or
- use -X or --package-names as first argument (trys to rebuild package, not exact
  ebuild)
    or
- set ACCEPT_KEYWORDS="~<your platform>" and/or /etc/portage/package.unmask
  (and remove /root/.revdep-rebuild_eef3b244.5_order to be evaluated again)
    or
- modify the above emerge command and run it manually
    or
- compile or unmerge unsatisfied packages manually, remove temporary files and
  try again (you can edit package/ebuild list first)

To remove temporary files, please run:
rm /root/.revdep-rebuild*.?_*

J'ai effacé les fichiers temporaire comme mentionné et j'ai recommencé comme ceci:
ACCEPT_KEYWORDS="~x86" revdep-rebuild --library libssl.so.0.9.7
mais le résultat est le même... Que faire?
_________________
Néophyte ou novice, telle est la question...


Last edited by legabier on Mon Sep 25, 2006 10:19 pm; edited 1 time in total
Back to top
View user's profile Send private message
Apsforps
Guru
Guru


Joined: 27 Sep 2004
Posts: 520
Location: Belgium

PostPosted: Mon Sep 25, 2006 6:26 am    Post subject: Reply with quote

Que donne un emerge -pv php? C'est possible que la version ne soit plus dans portage, dans ce cas, il suffit d'émerger la plus récente.
_________________
Apsforps
Back to top
View user's profile Send private message
legabier
Apprentice
Apprentice


Joined: 30 Aug 2004
Posts: 231

PostPosted: Mon Sep 25, 2006 6:40 am    Post subject: Reply with quote

Apsforps wrote:
Que donne un emerge -pv php? C'est possible que la version ne soit plus dans portage, dans ce cas, il suffit d'émerger la plus récente.

# emerge -pv php

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild R ] dev-lang/php-5.1.6-r4 USE="apache2 berkdb cli crypt gdbm ldap mysql ncurses nls pcre readline reflection session spell spl ssl threads truetype unicode xml zlib -adabas -apache -bcmath -birdstep -bzip2 -calendar -cdb -cgi -cjk -concurrentmodphp -ctype -curl -curlwrappers -db2 -dbase -dbmaker -debug -discard-path -doc -empress -empress-bcs -esoob -exif -fastbuild -fdftk -filepro -firebird -flatfile -force-cgi-redirect -frontbase -ftp -gd -gd-external -gmp -hardenedphp -hash -hyperwave-api -iconv -imap -informix -inifile -interbase -iodbc -ipv6 -java-external -kerberos -libedit -mcve -memlimit -mhash -ming -msql -mssql -mysqli -oci8 -oci8-instant-client -odbc -pcntl -pdo -pdo-external -pic -posix -postgres -qdbm -recode -sapdb -sasl -sharedext -sharedmem -simplexml -snmp -soap -sockets -solid -sqlite -sybase -sybase-ct -sysvipc -tidy -tokenizer -vm-goto -vm-switch -wddx -xmlreader -xmlrpc -xmlwriter -xpm -xsl -yaz -zip" 0 kB

Total size of downloads: 0 kB
_________________
Néophyte ou novice, telle est la question...
Back to top
View user's profile Send private message
kaworu
Guru
Guru


Joined: 07 Dec 2005
Posts: 450

PostPosted: Mon Sep 25, 2006 7:32 am    Post subject: Reply with quote

Salut !
Le paquet php est sloté, ça veut dire que tu dois avoir un paquet de php-5 et un de php-4 sur chaqun un slot différent.
que donne :
Code:

equery list dev-lang/php

(il te faut biensûr le paquet gentoolkit installé pour utiliser equery)
Si tu as bien 2 version, regarde ICI c'est une GLSA concernant php (qui affecte php-4.4.2) ce qui explique pourquoi cette version n'est plus dans portage. Il [glsa=]faut[/glsa] upgrader ta version de php-4 (voir dans l'annonce ;) )
_________________
Macbook
Core2Duo @ 2.0GHz - 1Go RAM - HD 80Go - Intel GMA 945

Gentoo GNU/Linux
~amd64 - 2.6.24-gentoo-r2 - Fluxbox || (KDE && Compiz-Fusion)
Back to top
View user's profile Send private message
legabier
Apprentice
Apprentice


Joined: 30 Aug 2004
Posts: 231

PostPosted: Mon Sep 25, 2006 4:00 pm    Post subject: Reply with quote

kaworu wrote:
que donne : equery list dev-lang/php

Code:
# equery list dev-lang/php
[ Searching for package 'php' in 'dev-lang' among: ]
 * installed packages
[I--] [M ] dev-lang/php-4.4.2 (4)
[I--] [  ] dev-lang/php-5.1.6-r4 (5)

kaworu wrote:
Si tu as bien 2 version, regarde ICI c'est une GLSA concernant php (qui affecte php-4.4.2) ce qui explique pourquoi cette version n'est plus dans portage. Il [glsa=]faut[/glsa] upgrader ta version de php-4 (voir dans l'annonce ;) )

D'accord, merci, je vais essayer le Code Listing 3.1. Étant donné que mon PHP5 est au dessus de 5.1.4-r6, je suppose que je n'ai pas à faire le Code Listing 3.2?

ÉDIT:
C'est normal ça? PHP4 n'est même pas listé, on dirait qu'il va seulement recompiler mon PHP5...?
Code:
# emerge --ask --oneshot --verbose ">=dev-lang/php-4.4.3-r1"

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] dev-lang/php-5.1.6-r4  USE="apache2 berkdb cli crypt gdbm ldap mysql ncurses nls pcre readline reflection session spell spl ssl threads truetype unicode xml zlib -adabas -apache -bcmath -birdstep -bzip2 -calendar -cdb -cgi -cjk -concurrentmodphp -ctype -curl -curlwrappers -db2 -dbase -dbmaker -debug -discard-path -doc -empress -empress-bcs -esoob -exif -fastbuild -fdftk -filepro -firebird -flatfile -force-cgi-redirect -frontbase -ftp -gd -gd-external -gmp -hardenedphp -hash -hyperwave-api -iconv -imap -informix -inifile -interbase -iodbc -ipv6 -java-external -kerberos -libedit -mcve -memlimit -mhash -ming -msql -mssql -mysqli -oci8 -oci8-instant-client -odbc -pcntl -pdo -pdo-external -pic -posix -postgres -qdbm -recode -sapdb -sasl -sharedext -sharedmem -simplexml -snmp -soap -sockets -solid -sqlite -sybase -sybase-ct -sysvipc -tidy -tokenizer -vm-goto -vm-switch -wddx -xmlreader -xmlrpc -xmlwriter -xpm -xsl -yaz -zip" 0 kB

Total size of downloads: 0 kB

Would you like to merge these packages? [Yes/No]

_________________
Néophyte ou novice, telle est la question...
Back to top
View user's profile Send private message
geekounet
Bodhisattva
Bodhisattva


Joined: 11 Oct 2004
Posts: 3772
Location: Wellington, Aotearoa

PostPosted: Mon Sep 25, 2006 4:29 pm    Post subject: Reply with quote

Code:
# emerge -a1 =dev-lang/php-4*

;)
Back to top
View user's profile Send private message
kaworu
Guru
Guru


Joined: 07 Dec 2005
Posts: 450

PostPosted: Mon Sep 25, 2006 4:30 pm    Post subject: Reply with quote

;) on voit dans ton equery que ton paquet de php-4 est désormais Masqué ;)
essaye voir :
Code:

emerge -av1 =dev-lang/php-4.4.4-r4

Tu est sûr qu'il n'y pas cette update quand tu fais un emerge -avuDN world ? (étrange)...
_________________
Macbook
Core2Duo @ 2.0GHz - 1Go RAM - HD 80Go - Intel GMA 945

Gentoo GNU/Linux
~amd64 - 2.6.24-gentoo-r2 - Fluxbox || (KDE && Compiz-Fusion)
Back to top
View user's profile Send private message
legabier
Apprentice
Apprentice


Joined: 30 Aug 2004
Posts: 231

PostPosted: Mon Sep 25, 2006 5:10 pm    Post subject: Reply with quote

pierreg wrote:
# emerge -a1 =dev-lang/php-4*

Code:
# emerge -a1 =dev-lang/php-4*

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U ] dev-lang/php-4.4.4-r4 [4.4.2] USE="-concurrentmodphp%"

Would you like to merge these packages? [Yes/No]

kaworu wrote:
;) on voit dans ton equery que ton paquet de php-4 est désormais Masqué ;)
essaye voir : emerge -av1 =dev-lang/php-4.4.4-r4

Code:
# emerge -av1 =dev-lang/php-4.4.4-r4

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U ] dev-lang/php-4.4.4-r4 [4.4.2] USE="apache2 berkdb cli crypt gdbm ldap mysql ncurses nls pcre readline session spell ssl threads truetype unicode xml zlib -adabas -apache -bcmath -birdstep -bzip2 -calendar -cdb -cgi -cjk -concurrentmodphp% -ctype -curl -db2 -dbase -dbmaker -dbx -debug -discard-path -doc -empress -empress-bcs -esoob -exif -expat -fastbuild -fdftk -filepro -firebird -flatfile -force-cgi-redirect -frontbase -ftp -gd -gd-external -gmp -hardenedphp -hyperwave-api -iconv -imap -informix -inifile -interbase -iodbc -ipv6 -java-external -java-internal -kerberos -libedit -mcal -mcve -memlimit -mhash -ming -mnogosearch -msql -mssql -oci8 -oci8-instant-client -odbc -oracle7 -overload -ovrimos -pcntl -pfpro -pic -posix -postgres -recode -sapdb -sharedext -sharedmem -snmp -sockets -solid -sqlite -sybase -sybase-ct -sysvipc -tokenizer -wddx -xmlrpc -xpm -xsl -yaz -zip" 4,393 kB

Total size of downloads: 4,393 kB

Would you like to merge these packages? [Yes/No]

kaworu wrote:
Tu est sûr qu'il n'y pas cette update quand tu fais un emerge -avuDN world ? (étrange)...

Tout un tas de choses, mais ni PHP4 ni PHP5 n'y figure.

Donc j'y vais avec emerge =dev-lang/php-4.4.4-r4

Merci!
_________________
Néophyte ou novice, telle est la question...
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum